
package de.ivu.elect.presentation.email.action;

import de.ivu.elect.business.email.boundary.EmailVorlageChangeEvent;
import de.ivu.elect.business.email.entity.EmailVorlage;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

import javax.inject.Inject;

public abstract class AbstractEmailVorlageAction extends AbstractActionEntry<EmailVorlage> {

  private static final long serialVersionUID = 1L;

  @Inject
  private EmailVorlageChangeEvent emailVorlageChangeEvent;

  public AbstractEmailVorlageAction() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return AbstractActionEntry.KEINE_GEBIET_SECURITY;
  }

  @Override
  protected void fireChangeEvent() {
    emailVorlageChangeEvent.sendChangeEvent();
  }
}
